cancel
Showing results for 
Search instead for 
Did you mean: 

JDI Problem: Build of a Dictionary DC

Former Member
0 Kudos

Hello,

it is very frustrating, does anybody know, what this error message would like to tell me?

22.03.2005 14:54:47 /userOut/Development Component (com.sap.ide.eclipse.component.provider.listener.DevConfListener) [Thread[ModalContext,5,main]] ERROR: appl/xip/employee: Build failed for test.de/appl/xip/employee(test.de_EMPLOYEEBUSINESSLOGIC_1) in variant "default": Illegal component usage: compartment "test.de_EMPLOYEEBUSINESSLOGIC_1" does not use compartment "sap.com_SAP_BUILDT_1" of used DC "sap.com/tc/bi/bp/ddic"

Best regards,

André

Message was edited by: Andre Siegling

Accepted Solutions (0)

Answers (1)

Answers (1)

former_member183805
Active Participant
0 Kudos

Hello Andre,

This most likely means that you have not added the dependent SC named "SAP_BUILDT" to your track (in the CMS Landscape configurator), and thus the development configuration you have imported does not contain this compartment. However, at the DC level there is a dependency between your DC and the DC "tc/bi/bp/ddic" (which was automatically created for Dictionary DCs), and this causes this build error.

Regards,

Manohar